import * as dotenvSafe from 'dotenv-safe';
import express from 'express';
import { createConnection } from 'typeorm';

dotenvSafe.config();

createConnection()
	.then((connection) => {
		const app = express();
		const PORT = process.env.APP_PORT || 4010;
		app.get('/', (req, res) => res.send('Express + TypeScript Server'));
		app.listen(PORT, () => {
			console.log(`⚡️[server]: Server is running at http://localhost:${PORT}`);
		});
	})
	.catch((err) => {
		console.log(err);
	});
